body {
    display: flex;
    overflow: hidden;
    font-family: 'Trebuchet MS', sans-serif;
}

#bg {
    object-fit: cover;
    object-position: bottom;
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    z-index: -1;
    border-radius: 0;
}

#result {
    text-align: center;
}

header {
    color: rgb(190, 184, 184);
    font-size: 58px;
    width: 450px;
    height: 150px;
    background-color: rgba(0, 0, 0, 0.459);
    border: 5px rgb(190, 184, 184) solid;
    border-radius: 25px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -65%);
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: "Felipa", sans-serif;
}

button {
    color: rgb(190, 184, 184);
    background-color: rgba(0, 0, 0, 0.459);
    border: 5px rgb(190, 184, 184) solid;
    border-radius: 25px;
    display: flex;
    justify-content: center;
    align-items: center;
    top: 60%;
    width: 225px;
    cursor: pointer;
    z-index: 0;
}

#breakBut {
    left: 100%;
    transform: translateX(-284%);
    position: fixed;
    z-index: 0;
}

#startBut {
    left: 50%;
    transform: translateX(-101%);
    position: fixed;
}

#currentTime {
    position: absolute;
    top: 0;
    left: 0;
    background-color: rgba(0, 0, 0, 0.101);
    color: rgb(190, 184, 184);
    width: 100px;
    height: 40px;
    border: none;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 0;
    font-family: "Felipa", sans-serif;
}

#waterRem,
#sound, #music {
    position: absolute;
    filter: grayscale(100%);
    background-color: transparent;
    width: 50px;
    height: 40px;
    display: flex;
    justify-content: center;
    align-items: center;
    border: none;
    font-size: 30px;
    cursor: pointer;
}

#waterRem {
    right: 0;
    top: 0;
}

#sound {
    right: 0;
    top: 50px;
}

#music {
    right: 0;
    top: 100px;
}

img {
    object-fit: cover;
    display: flex;
    border-radius: 10px;
    border: 2px solid;
    height: 75px;
    width: 75px;
}

#quoteDir,
#sudDir,
#chListDir {
    cursor: pointer;
}

#quip {
    text-align: center;
    margin: 15px;
    font-size: 10px;
}

#sound:hover::before {
    content: "Focus mode: no sound";
    position: absolute;
    font-size: 10px;
    top: 15px;
    right: 50px;
    width: 100px;
    text-align: right;
}

#music:hover::before {
    content: "Underwater ambience";
    position: absolute;
    font-size: 10px;
    top: 17px;
    right: 50px;
    width: 100px;
    text-align: right;
}

#waterRem:hover::before {
    content: "Toggle reminders to get up, stretch, or drink water every 30 minutes";
    position: absolute;
    font-size: 10px;
    top: 5px;
    right: 50px;
    width: 150px;
    text-align: right;
}

#reminder:not([hidden]) {
    z-index: 2;
    position: fixed;
    bottom: -50px;
    right: 0;
    width: 200px;
    height: 50px;
    border-radius: 0;
    display: flex;
    justify-content: center;
    text-align: center;
    align-items: center;
    /*vertical centering*/
    animation-name: slider;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    animation-timing-function: linear;
}

@keyframes slider {
    0% {
        bottom: -50px;
    }

    50% {
        bottom: -25px;
    }

    100% {
        bottom: 0;
    }
}

#blink {
    animation-name: blink;
    animation-duration: 2s;
    animation-iteration-count: infinite;
    animation-timing-function: steps(1, end);
}

@keyframes blink {

    0%,
    100% {
        opacity: 0;
    }

    50% {
        opacity: 100;
    }
}

#workTimer,
#sudoku,
#quote,
#checklist,
#breakDirect {
    color: rgb(190, 184, 184);
    background-color: rgba(0, 0, 0, 0.459);
    border: 5px rgb(190, 184, 184) solid;
    border-radius: 25px;
    width: 300px;
    height: 300px;
    z-index: 2;
}

#newToDo {
    width: 100%;
    text-align: center;
}

#workTimer,
#quote {
    top: 128px;
    left: 39px;
}

#breakDirect:not([hidden]) {
    top: 142px;
    left: 912px;
}

#regen {
    position: absolute;
    border-width: 2px;
    width: 100px;
    top: 100%;
    left: 100%;
    transform: translate(-200%, -150%);
}

#insquo {
    margin: 5px;
    width: 290px;
}

#insquo {
    position: absolute;
    top: 50%;
    left: 0;
    transform: translateY(-60%);
}

#organize,
#insquo {
    display: flex;
    flex-direction: row;
    align-items: center;
    border: none;
    background: none;
    height: 100px;
    justify-content: space-evenly;
    text-align: center;
}

#newSud {
    margin: auto;
}

#sudboard {
    border: 2px solid black;
    visibility: hidden;
    height: 350px;
    width: 350px;
    display: grid;
    grid-template-columns: repeat(9, 1fr);
    gap: 0;
    border: 1px solid black;
    background-color: white;
    margin: auto;
}

.grid-item {
    gap: 0;
    display: grid;
    border: 1px solid black;
    grid-template-columns: repeat(3, 1fr);
    color: black;
}

#sudboard > .grid-item:nth-child(9n + 4), .grid-item:nth-child(9n + 7) { /*it is not parent:nth-child; it is child:nth-child (looks at certain children)*/
    border-left: 3px solid black;
}

#sudboard > .grid-item:nth-child(n + 19):nth-child(-n + 27), .grid-item:nth-child(n + 46):nth-child(-n + 54) {
    border-bottom: 3px solid black;
}

#sudoku {
    height: 500px;
    width: 400px;
    display: none;
}

.sudInput {
    width: 250%;
}

.thing:hover::after {
    content: "...click to delete";
    cursor: pointer;
    width: 100px;
    height: 100px;
    background-color:rgba(0, 0, 0, 0.459);

}

.drag,
.close {
    background-color: black;
    border: 5px black solid;
    border-bottom: none;
    border-radius: 20px 20px 0 0;
    height: 20px;
    width: 290px;
    overflow: hidden;
    cursor: move;
    user-select: none;
}

.drag {
    display: block;
}

#sudDrag {
    width: 390px;
}

#workTimer,
#breakDirect,
#quote,
#checklist,
#sudoku {
    position: absolute;
}

#timer {
    background-color: transparent;
    border: none;
    width: 300px;
    height: 70px;
    text-align: center;
}

input {
    background-color: transparent;
    width: 20px;
    border: none;
    color: rgb(190, 184, 184);
    font-size: 15px;
    font-weight: bold;
}

.close {
    box-sizing: border-box;
    padding-left: 5px;
    padding-right: 5px;
    font-size: 10px;
    display: inline;
    margin-left: 5px;
    cursor: pointer;
}

#subtime,
#pause {
    display: flex;
    flex-direction: column;
    margin: auto;
    border-width: 2px;
    width: 80px;
}

#subtime:hover::after {
    content: "Warning! Will (re)set timer!";
    position: absolute;
    border: none;
    z-index: 2;
    top: 45%;
    left: 25%;
}

#timeDisp {
    background-color: transparent;
    border: none;
    font-family: "Felipa", sans-serif;
    text-align: center;
    font-size: 50px;
    visibility: hidden;
    height: 90px;
    margin-top: -40px;
    margin-bottom: -10px;
}

#pause {
    visibility: hidden;
}